Skip to main content
GET
List vendor alerts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search alert titles and vendor names.

statusMatchesAny
enum<string>[]

Filter to alerts matching any of the provided statuses.

Available options:
OPEN,
ESCALATED,
RESOLVED,
NOT_RELEVANT,
AUTO_RESOLVED
severityMatchesAny
enum<string>[]

Filter to alerts matching any of the provided severities.

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW
categoryMatchesAny
string[]

Filter to alerts matching any of the provided security categories.

typeMatchesAny
enum<string>[]

Filter to alerts matching any of the provided types.

Available options:
GENERAL,
CVE,
LEAKED_CREDENTIALS
vendorRiskLevelMatchesAny
enum<string>[]

Filter to alerts whose vendors match any of the provided inherent risk levels.

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW,
UNSCORED
orderBy
enum<string>
default:severity

Field to sort results by. Defaults to severity.

Available options:
severity,
status,
creationDate
orderDirection
enum<string>
default:desc

Direction to sort results in. Defaults to descending.

Available options:
asc,
desc

Response

200 - application/json

Ok

results
object
required